<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG1</title>
	<style>
		table,
		th,
		td {
			border: 1px solid black;
			text-align: left;
		}
	</style>
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologías Emergentes. Curso 2022-23<br>
			Trabajo TG1 del grupo 08<br>
			Título: Recursos sobre dos tecnologías emergentes para inteligencia artificial y el procesamiento del lenguaje natural<br>
			Tecnologías: NLTK y spaCY</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Información general</a></li>
			<li><a href="#2">2. Tecnología A (Cambiar "A" por el nombre de la tecnología)</a></li>
			<ul>
				<li><a href="#2.1">2.1. Cursos</a></li>
				<li><a href="#2.2">2.2. Documentos</a></li>
				<li><a href="#2.3">2.3. Software</a></li>
				<li><a href="#2.4">2.4. Proyectos de I+D</a></li>
			</ul>
			<li><a href="#3">3. Tecnología B (Cambiar "B" por el nombre de la tecnología)</a></li>
			<ul>
				<li><a href="#3.1">3.1. Cursos</a></li>
				<li><a href="#3.2">3.2. Documentos</a></li>
				<li><a href="#3.3">3.3. Software</a></li>
				<li><a href="#3.4">3.4. Proyectos de I+D</a></li>
			</ul>
			<li><a href="#4">4. Conclusiones</a></li>
			<li><a href="#5">5. Apéndices</a></li>
		</ul>
	</nav>

	<main>
		
		<section id=1">
			<h2>1. Información general</h2>
			<table>
				<tr>
					<th>AUTORES</th>
					<td>Alberto Varga, Pablo Sánchez, Juan Carlos Marcelo, Alejandro Villapalos</td>
				</tr>
				<tr>
					<th>PROYECTO SCRUM Y REPOSITORIO EN GITLAB.COM</th>
					<td>
						<a href="https://gitlab.com/dte2023g08/tg1/">https://gitlab.com/dte2023g08/tg1/</a>
					</td>
				</tr>
				<tr>
					<th>TRABAJO PUBLICADO EN GITLAB.IO</th>
					<td>
						<a href="https://dte2023g08.gitlab.io/tg1/tg1.html">https://dte2023g08.gitlab.io/TG1/tg1.html</a>
					</td>
				</tr>
				<tr>
					<th>BURNDOWN CHART</th>
					<td>Imagen del diagrama Burndown final del Sprint TG1<br>
						<img src="burndownTG1.jpg" width="500" height="300">
					</td>
				</tr>
				<tr>
					<th>PRESENTACIÓN DEL TRABAJO</th>
					<td>Enlace al archivo de la presentación con diapositivas, ubicada en Office 365 de la UAH.
						<a href="https://universidaddealcala-my.sharepoint.com/:p:/g/personal/alberto_varga_edu_uah_es/EdYL1sJkgeREugWBE5VZDzEBDHAXAxlK2PqnANPO4ekmRw?e=ANMr5P">Presentación TG1</a>
					</td>
				</tr>
				<tr>
					<th>LINEA DE INVESTIGACIÓN</th>
					<td>Hemos optado por una linea de investigación en la que la principal es la inteligencia artificial 
						y la segunda es el procesamiento del lenguaje natural. Estas 2 van muy juntas y las vemos todos los días 
						en cosas como Siri o Alexa.
					</td>
				</tr>
				<tr>
					<th>TECNOLOGÍAS Y SU RELACION CON LA LINEA DE INVESTIGACIÓN</th>
					<td>Ambas tecnologías son un conjunto de librerías y programas diseñados para el procesameinto de lenguaje natural,
						y encima las 2 cuentan con funciones que les permite integrarse muy fácil con inteligencias artificiales. 
					</td>
				</tr>
			</table>
		</section>

		<section id="2">
			<h2>2. Tecnología NLTK</h2>
			
			<h3 id=2.1>2.1 Cursos</h3>
			<h4>2.1.1 Curso 1</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>Natural Language Processing with Python and NLTK</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Te enseña a preprocesar texto y como trabajar con NLP usando NLTK</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>-Introduction
                            -Introduction
                            -Course Overview
                            -Before you start this course
                            -What is NLP?
                            -Application of NLP
                            -Basic Python - List
                            -Basic Python -String
                            -Basic Python -Function 
                            -Installing NTLK 
                        -Text Wrangling and Cleansing
                            -What is text Wrangling?
                            -Text Cleansing
                            -Sentence Tokenization
                            -Word Tokenization
                            -Stemming 
                            -Lemmatization
                            -Stemming vs Lemmatization
                            -Stop Words Removal
                        -Part of Speech Tagging
                            -What is Part of Speech Tagging?
                            -NTLK POS Tagger
                            -Sequential Tagger - Part 1
                            -Sequential Tagger - Part 2
                            -Named Entity Recognition (NER)
                            -Practice
                        -Build NLP Applications 
                            -Topic Modeling
                            -Text Summarization
                            -Sentiment Analysis
                        -Conclusion
                            -NLTK vs. SpaCy
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>2h 45min</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>39,99€</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Hace una buena introducción al mundo del NLP y explica un poco 
                        de la herramienta en cuestión, además que hace una comparación 
                        con la próxima herramienta lo cual está bastante bien.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en una página de cursos que es Udemy.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>
                        <a href="https://www.udemy.com/course/the-python-natural-language-toolkit-nltk-for-text-mining/">https://www.udemy.com/course/the-python-natural-language-toolkit-nltk-for-text-mining/</a>
                    </td>
				</tr>
			</table>
			<h4>2.1.2 Curso 2</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Pablo Sánchez</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>Natural Language Processing (NLP) in Python with 8 Projects</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Aprendizaje variado no solo NLP sino tambien un poco en 
                        aprendizaje automático, deep learning, otras herramientas para NLP, etc.
                    </td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        -Welcome
                            Course Overview
                            Reviews UPDATE
                            Introduction to NLP
                            Course FAQ's
                        -Installation & Setup 
                            Course -Installation
                            Local Installation Steps
                            Links to Notebooks (As taught in Lectures)
                            Links to Notebooks (More explanatory notebook for refrence)
                        -Basic of Natural Lenguage Processing
                            Section:Interaction
                            Tokenization Basic Part - 1
                            Tokenization Basic Part - 2
                            Tokenization Basic Part - 3
                            Stemming & Lemmatization - 1
                            Stemming & Lemmatization - 2
                            Stop Words
                            Vocabulary and Matching Part - 1
                            Vocabulary and Matching Part - 2 (Rule Based)
                            Vocabulary and Matching Part - 3 (Phrase Based)
                            Parts of Speech Tagging
                            Named Entity Recognition
                            Sentence Segmentation
                        -Project 1:Spam Message Classification
                            Business Problem & Dataset 
                            Data Exploration & Preprocessing
                            Split Data in Training & Testing
                            Apply Random Forest
                            Apply Support vector Machine (SVM)
                            Predict Testing Data both model
                        -Project 2:Restaurant Review Prediction (Good or bad)
                            Business Problem
                            Cleaning Text Data with NLTK - 1
                            Cleaning Text Data with NLTK - 2
                            Bag of Word Model
                            Apply Naive Bayes Algorithm
                        -Project 3:IMDB, Amazon and Yelp review Classification
                            Review Classification Part -1
                            Review Classification Part - 2
                        -Project 4:Automated Text Summarization
                            Importing the libraries and Dataset
                            Create Word Frequency Counter
                            Calculate Sentence Score
                            Extract summary of document
                        -Project 5:Twitter sentiment Analysis
                            Setting up Twitter Developer Application
                            Fetch Tweet from Tweeter server
                            Find Setiment from Tweets
                        -Deep learning basics 
                            The Neuron
                            Activation Function
                            Cost Function
                            Gradient Descent and Back-Propagation
                        -Word Embeddings
                            Introduction to Word Embedding
                            Train Model for Embedding - I   
                            Train Model for Embedding - II
                            Embeddings with Pretrained model
                            Word Embeddings

                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>10h 25min</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>69.99€</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Interesante por no solo explicar como usar NLTK y otras herramientas,
                        sino por ofrecer 5 proyectos con los que ver todo eso aplicado.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en una página de cursos que es Udemy.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.udemy.com/course/complete-natural-language-processing-nlp-with-spacy-nltk/">https://www.udemy.com/course/complete-natural-language-processing-nlp-with-spacy-nltk/</a></td>
				</tr>
			</table>
			<h4>2.1.3 Curso 3</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Juan Carlos Marcelo</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>NLTK: Build Document Classifier & Spell Checker with Python</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Se explica la funcionalidad general de NLTK y del NLP y se explica la 
                        clasificación, tokenización y etiquetado de textos.
                    </td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        -Getting started with NLTK  
                            Introduction to NLP
                            Course Technical Requirements
                            Installing and Setting up NLTK
                            NLTK accessing Texts
                            Basic Functions
                            Summary: NLTK Basic Functions
                            Frequency Distribution with NLTK
                            Frequency Distribution on Your Text with NLTK
                        Do you want to learn a specific NLP topic?
                            Do you want to learn a specific NLTK or NLP topic?
                        Corpora
                            Accessing Corpora
                            Loading Your Own Corpus
                            Conditional Frequency Distribution
                            Lexical Resources Vocabulary
                            Terminology
                            NLP Basic Terminology
                        Processing raw lenguage with NLTK
                            NLP Pipeline
                            Tokenization
                            What is Token?
                            Regular Expressions
                            Applications of Regex
                            Stemming
                            Lemmatization
                            Regex for Tokenization
                        Categorizaing and tagging words with NLTK
                            Tagger
                            Tagged Corpus
                            The Default Tagger
                            Regexp Tagger   
                            Unigram Tagger
                            Ngram Tagger
                            POS Tagging
                        Sentiment analysis: text Classification practical Projects
                            Machine Learning Overview
                            Logic of naive Bayes
                            Project #1: Gender Prediction Application - Part 1
                            Project #1: Gender Prediction Application - Part 2
                            Project #1: Gender Prediction Application - Part 3
                            Project #2: Document Classifier Application
                        Extracting info from text
                            Information Extraction Architecture
                            Chunking Overiew
                            Chunking in Coding
                            Exercise: Named Entity Recognition
                            Chinking
                            Stanford NLP API
                            Chunking and Chinking
                        NLP course conclusion
                            conclusion
                        Advanced NLTK topics
                            Edit Distance Example
                            Edit Distance - Spelling Checker
                            Appendix: List of Correct Words for Spelling Checkers
                            Edit Distance - Plagiarism Checker / Translation Memory
                        Bonus material 
                            More NLP Tutorials
                            What's Next for You?
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>5h 17min</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>49.99€</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Explica de forma general como usar NLTK para luego también cenrarse en como
                        usarlo para el tratamiento de textos. 
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en una página de cursos que es Udemy.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.udemy.com/course/natural-language-processing-python-nltk/">https://www.udemy.com/course/natural-language-processing-python-nltk/</a></td>
				</tr>
			</table>
			<h4>2.1.4 Curso 4</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>Hands-on NLP with NLTK and Scikit-learn</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Enseña a usar NLTK y como funciona el NLP, explicando también como hacer
                        filtros de spam, clasificadores por tema y analizadores de sentimientos.
                    </td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        Working with Natural Lenguage Data
                            The course Overview
                            Use Python, NLTK, spaCy and Scikit-learn to build your NLP toolset
                            Reading a Simple Natural Lenguage file into Memory
                            Split the Text into Individual Words with Regular Expression
                            Converting Words into Lists of Lower Case Tokens
                            Removing Uncommon Words and Stop Words
                        Spam Classification with an  email Dataset
                            Use an Open source dataset, and What is The Enron Dataset
                            Loading the Enron Dataset into Memory
                            Tokenization, Lemmatization and stop word Removal
                            Bag-of-Words feature Extraction process with Scikit-learn
                            Basic Spam Classification with NLTK's Naive Bayes
                        Sentiment analysis with a Movie review dataset 
                            Understanding the origin and features of the movie review dataset 
                            Loading and Cleaning the Review Data
                            Preprocessing the Dataset to Remove Unwanted Words and Characters
                            Creating TF-IDF Weighted Natural Language Features
                            Basic Sentiment Analysis with Logistic Regression Model
                        Boosting the perfomance of your models with N-grams 
                            Deep Dive into Raw Tokens from the Movie Reviews
                            Advanced Cleaning of Tokens Using Python String Functions and Regex
                            Creating N-gram Features Using Scikit-learn
                            Experimenting with Advanced Scikit-learn Models Using the NLTK Wrapper
                            Building a Voting Model with Scikit-learn
                        Document classification with newsgroup dataset
                            Understanding the Origin and Features of the 20 Newsgroups Dataset
                            Loading the Newsgroup Data and Extracting Features
                            Building a Document Classification Pipeline
                            Creating a Performance Report of the Model on the Test Set
                            Finding Optimal Hyper-parameters Using Grid Search
                        Advanced topic modelling with TF-IDF, LSA, and SVMs 
                            Building a Text Preprocessing Pipeline with NLTK
                            Creating Hashing Based Features from Natural Language
                            Classify Documents into 20 Topics with LSA
                            Document Classification with TF-IDF and SVMs
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>2h 46min</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>99.99€</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Explica varios contenidos en terminos generales, pero lo interesante
                        es lo que cuenta sobre la clasificación de spam y documentos. 
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en una página de cursos que es Udemy.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.udemy.com/course/hands-on-nlp-with-nltk-and-scikit-learn/">https://www.udemy.com/course/hands-on-nlp-with-nltk-and-scikit-learn/</a></td>
				</tr>
			</table>
			<h4>2.1.5 Curso 5</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>Procesamiento del Lenguaje Natural con Python (NLP) [2023]</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>A parte de los conocimientos generales de NLP, también enseña como
                        hacer casificadores de texto con NTLK, crear chatbots y como construir 
                        un sistema de reconocimiento y síntesis de voz.
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>2h 33min</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        -Introducción al procesameinto del lenguaje natural(NLP)
                            ¿Que es el Procesamiento del lenguaje natural (NLP)?
                            Aplicaciones Procesamiento del Lenguaje Natural
                        -Introducción a Python(opcional)
                            Instalación Python + Jupyter
                            Conceptos básicos de Python
                            Introducción a las librerías: Numpy
                            Introducción a las librerías: Pandas
                            Introducción a las librerías: Matplotlib
                        -Sistemas de clasificación de textos 
                            ¿En qué consiste la Clasificación de Textos?
                            Instalación librería NLTK
                            Caso Práctico Clasificación Textos - Tokenizar
                            Caso Práctico Clasificación Textos - Palabras de Parada
                            Caso Práctico Clasificación Textos – Sinónimos y antónimos
                            Caso Práctico Clasificación Textos – Derivación Regresiva
                            Caso Práctico Clasificación Textos – Lematización
                            Caso de Uso Clasificación de Textos – Filtro Spam
                        Análisis de sentimientos
                            ¿En qué consiste el Análisis de Sentimientos?
                            Caso Práctico Twitter – Conexión y captura de tweets
                            Caso Práctico Twitter – Análisis y visualización de sentimientos
                        Creación de chatbot
                            ¿En que consiste un Chatbot?
                            Caso Práctico Creación Chatbot – Definición Corpus
                            Caso Práctico Creación Chatbot – Preprocesamiento del Texto
                            Caso Práctico Creación Chatbot – Evaluación de similitud
                            Caso Práctico Creación Chatbot – Definición de coincidencias manuales
                            Caso Práctico Creación Chatbot – Generación de respuestas y dialogo
                        Reconocimiento y síntesis de voz
                            ¿En qué consiste el Reconocimiento y Síntesis de Voz?
                            Instalación de Librerías SpeechRecognition / PyAudio
                            Caso Práctico - Reconocimiento de voz con Python
                            Caso Práctico - Sintetizador de Voz con Python
                            Combinación de funcionalidades NLP para crear herramientas integrales
                        Conclusiones
                            Conclusiones
                            Siguientes pasos 
                        Clase Extra NLP

                    </td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>84,99</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Aporta ejemplos prácticos muy útiles como son el reconocimiento de Voz
                        y los chatbot, además de que está todo en español en lugar de inglés.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en una página de cursos que es Udemy.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.udemy.com/course/procesamiento-del-lenguaje-natural-con-python-nlp/">https://www.udemy.com/course/procesamiento-del-lenguaje-natural-con-python-nlp/</a></td>
				</tr>
			</table>

			<h3 id=2.2>2.2 Documentos (Artículos, libros, foros, blogs)</h3>
			<h4>2.2.1 Documento 1</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>NLTK: The Natural Language Toolkit</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>En el artículo sobre NLTK explica las diferentes utilidades que tiene el kit de herramientas de leguaje natural, ya que es un conjunto de módulos de programas de código abierto, tutoriales y conjuntos de problemas, que proporcionan cursos de lenguaje computacional. NLTK cubre el procesamiento simbólico y estadístico del lenguaje natural y está interconectado con el corpus anotados. Los estudiantes pueden aumentar y reemplazar los componentes existentes, con lo que pueden conseguir un uso más eficaz del uso de la programación estructurada; no obstante, tienen ejemplos para su fácil comprensión. Además, durante el artículo se analizan los requerimientos y características que debe cumplir el equipo para conseguir un programa eficaz. Se tratan los diferentes módulos de visualización y análisis    </td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>1.Introduction
                        2.Choice of Programming Language                        
                        3. Design Criteria                        
                        	3.1 Requirements                        
                        	3.2 Non-Requirements                        
                        4. Modules                        
                        5. Documentation                        
                        6. Uses of NLTK                        
                        	6.1 Assignments                        
                        	6.2 Class demonstrations                        
                        	6.3 Advanced Projects                        
                        7. Evaluation                        
                        8. Other Approaches                        
                        9. Conclusions and Future Work
                        10. Acknowledgments
                        11. References
</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Porque se pueden aprender nuevos métodos de enseñanza y aprendizaje de la lingüística computacional mediante el empleo del NLTK, además de describir cuales son las características más relevantes que debe cumplir el sistema para estar correctamente adaptado y adecuado a la enseñanza. Y de esta manera lograr ofrecer una formación óptima y dirigida a entornos de trabajo real</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>A traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>https://arxiv.org/pdf/cs/0205028.pdf</td>
				</tr>
			</table>
			<h4>2.2.2 Documento 2</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Pablo Sánchez Romero</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Sentiment Analysis: First Steps with Python's NLTK Library</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El articulo hace especial interés sobre el análisis que se debe seguir sobre los sentimientos a partir de los datos que se captan con la red social mundialmente conocida que es Twitter. Se hace uso del kit de herramientas de NLTK para así conseguir diferenciar los datos de Twitter en sentimientos positivos o negativos, mediante el uso de diferentes modelos de aprendizaje automático; así conseguir el mejor resultado de análisis. Además, el articulo explica paso a paso la instalación en Python para su posterior importación.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>Getting Started With NLTK
							Installing and Importing
							Compiling Data
							Creating Frequency Distributions
							Extracting Concordance and Collocations
						Using NLTK’s Pre-Trained Sentiment Analyzer
						Customizing NLTK’s Sentiment Analysis
							Selecting Useful Features
							Training and Using a Classifier
						Comparing Additional Classifiers
							Installing and Importing scikit-learn
							Using scikit-learn Classifiers With NLTK
						Conclusion
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>El documento es útil ya que permite dar utilidad a los datos de Twitter y clasificarlos según sentimiento positivo o negativo y aprender realizar un análisis utilizando NLTK, muy útil a la hora de tomar decisiones </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>A traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>https://realpython.com/python-nltk-sentiment-analysis/</td
				</tr>
			</table>
			<h4>2.2.3 Documento 3</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>uan Carlos Marcelo González</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Python text processing with NLTK 2.O cookbook</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El libro trata de una guía práctica e ilustrativa sobre más de 80 maneras eficaces de usar la herramienta NLTK de librerías para maximizar la capacidad. Además, te ayuda paso a paso y te facilita las herramientas necesarias para que sea útil el libro. También, recomienda a las personas para quien va dirigido que es para programadores que quieran familiarizarse rápidamente con el uso de NLTK.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>Chapter 1, Tokenizing Text and WordNet Basics
						Chapter 2, Replacing and Correcting Words
						Chapter 3, Creating Custom Corpora
						Chapter 4, Part-of-Speech Tagging
						Chapter 5, Extracting Chunks
						Chapter 6, Transforming Chunks and Trees
						Chapter 7, Text Classiication
						Chapter 8, Distributed Processing and Handling Large Datasets
						Chapter 9, Parsing Speciic Data
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>El libro es muy útil, ya que es una guía para programadores pioneros en NLTK que explica todo lo que se debe saber sobre la herramienta.</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>https://www.uplooder.net/ofiles/9c45cfae0bbc624b7ec7f18bf109000a/Python-Text-Processing-with-NLTK-2.0-Cookbook.pdf</td>
				</tr>
			</table>
			<h4>2.2.4 Documento 4</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Alejandro Villapalos Rodriguez</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Natural Languaje Processing: Python an NLTK</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El libro explica a usuarios expertos a programar en NLP y aprendizaje automático proyectos que utilizan la herramienta NLTK y otras bibliotecas de Python, el libro se divide en 3 módulos diferenciados, en el primero explica los esenciales de NLTK, en el segundo trata sobre el procesamiento de texto de Python 3 con NLTK 3 cookbook; en el último módulo trata sobre el dominio del lenguaje con Python.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>Modulo 1 NLTK essentials
							Chapter 1 introduction 
							Chapter 2 text wrangling and cleansing
							Chapter 3 part of speech tagging
							Chapter 4 parsing structure in text 
							Chapter 5 NLP aplications
							Chapter 6 text clasification
							Chapter 7 web crawling
						Module 2 python 3 text processing with NLTK 3 cookbook 
							Chapter 1 tokenizing text 
							Chapter 2 replacing and correcting words
							Chapter 3 creating custom corpora
							Chapter 4 part-of-speech tagging 
							Chapter 5 extracting chunks
							Chapter 6 transforming chunks and trees
							Chapter 7 text classification 
							Chapter 8 distributed processing and handling large datasets
						Module 3 mastering natural language processing with python 
							Chapter 1 working with strings 
							Chapter 2 statistical language modeling
							Chapter 3 morphology getting our feet wet
							Chapter 4 part-of speech tagging identifying words
							Chapter 5 parsing analyzing training data 
							Chapter 6 semantic analysis 
							Chapter 7 sentimental analysis I am happy 
							Chapter 8 information retrieval accessing information 
							Chapter 9 discourse analysis
							Chapter 10 evaluation of NLP systems
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>El documento es útil ya que los usuarios que necesiten un libro para usuarios avanzados, este libro es lo que necesitan ya que explica todos los aspectos de la herramienta, es muy completo.</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>a traves de google books</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>Natural Language Processing: Python and NLTK - Nitin Hardeniya, Jacob Perkins, Deepti Chopra, Nisheeth Joshi, Iti Mathur - Google Libros</td>
				</tr>
			</table>
			<h4>2.2.5 Documento 5</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Pablo Sánchez Romero</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Using NLTK for educational and scientific purposes</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El documento habla sobre la importancia que tiene la herramienta de NLTK, para la lingüística computacional y la investigación científica, en el campo de procesamiento del lenguaje natural. Se describen numerosas peculiaridades sobre Python utilizando el kit de herramientas de NLTK.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>1. introduction 
						2. NLTK and Python as Tools for NLP
						3.Specific experience in using NLTK
						4. conclusion 
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>El documento es útil ya que trata la importancia que tiene en las diversas investigaciones computacionales.</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>A traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>Using NLTK for educational and scientific purposes | IEEE Conference Publication | IEEE Xplore</td>
				</tr>
			</table>

			<h3 id=2.3>2.3 Software (herramientas, editores, etc. para desarrollar con la tecnología)</h3>
			<h4>2.3.1 Software 1</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td>Gensim</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> Gensim es un paquete de software que funciona en Python y se enfoca en el modelado de temas y el procesamiento de texto. Es compatible con NLTK y juntos se pueden utilizar para llevar a cabo diversas tareas de procesamiento del lenguaje natural, tales como el análisis de sentimientos, el agrupamiento de textos y la creación de modelos de temas. </td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>Gratuito y código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> Apache 2.0 </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador </td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://github.com/RaRe-Technologies/gensim </td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td>https://radimrehurek.com/gensim/auto_examples/index.html##documentation </td>
				</tr>
			</table>
			<h4>2.3.2 Software 2</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Pablo Sánchez</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> TextBlob</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> TextBlob es una biblioteca de Python que se enfoca en el procesamiento de lenguaje natural, específicamente 							para realizar análisis de sentimientos y clasificación de texto. Esta herramienta se puede utilizar en 								conjunto con NLTK para llevar a cabo diversas tareas de procesamiento de lenguaje natural.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratuito y código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> MIT</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://github.com/sloria/textblob</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://textblob.readthedocs.io/en/dev/</td>
				</tr>
			</table>
			<h4>2.3.3 Software 3</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td> Juan Carlos Marcelo</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> Stanford CoreNLP</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td>La biblioteca de software Stanford CoreNLP es una herramienta de procesamiento de lenguaje natural 									desarrollada por la Universidad de Stanford que se puede emplear junto con NLTK para realizar diversas 								tareas, tales como análisis de sentimientos, extracción de información, reconocimiento de entidades nombradas 						  y análisis sintáctico.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratuito y código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> GNU General Public License (licencia de derecho de autor ampliamente usada en el mundo del software libre y 							código abierto)</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://stanfordnlp.github.io/CoreNLP/</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://stanfordnlp.github.io/CoreNLP/</td>
				</tr>
			</table>
			<h4>2.3.4 Software 4</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> Pattern</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> La biblioteca de Python llamada Pattern se enfoca en el procesamiento de lenguaje natural y puede ser 								utilizada conjuntamente con NLTK para llevar a cabo diversas tareas de PLN, tales como análisis de 									sentimientos, etiquetado de partes del habla, extracción de información y análisis sintáctico.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratuito y de código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> BSD (licencia permisiva que impone restricciones mínimas al uso y distribución del software licenciado)</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://github.com/clips/pattern</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://github.com/clips/pattern/wiki/</td>
				</tr>
			</table>
			<h4>2.3.5 Software 5</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td> Juan Carlos Marcelo</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> PyNLPl</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> PyNLPl es una biblioteca de Python que se enfoca en el procesamiento de lenguaje natural y es compatible con 							NLTK para llevar a cabo diversas tareas de PLN, tales como etiquetado de partes del habla, análisis 									sintáctico y análisis de sentimientos.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratuito y código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> GNU General Public License (licencia de derecho de autor ampliamente usada en el mundo del software libre y 							código abierto)</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://github.com/proycon/pynlpl</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://pynlpl.readthedocs.io/en/latest/</td>
				</tr>
			</table>
		</section>

			<h3 id=2.4>2.4 Proyectos de I+D (proyectos relacionados con la línea de investigación y la tecnología)</h3>
			<h4>2.4.1 Proyecto de I+D 1</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga.</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Análisis automático de textos en español utilizando nltk</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Es el desarrollo de un caso de estudio en lenguaje español sobre el cual aplicar técnicas de Procesamiento 							del Lenguaje Natural, para constatar la eficacia de las herramientas PLN disponibles para este idioma. </td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>Presentado el 5 de septiembre de 2016</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>2.700 euros</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Alumno de Universidad de la Laguna</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando proyectos i+d nltk en google</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>Utiliza la tecnología NLTK para constatar la eficacia de las herramientas de PLN disponibles para este idioma.</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td> <a href="https://riull.ull.es/xmlui/bitstream/handle/915/3082/Analisis%20automatico%20de%20textos%20en%20espanol%20utilizando%20NLTK.pdf?sequence=1">https://riull.ull.es/xmlui/bitstream/handle/915/3082/Analisis%20automatico%20de%20textos%20en%20espanol%20utilizando%20NLTK.pdf?sequence=1 </a></td>
				</tr>
			</table>
			<h4>2.4.2 Proyecto de I+D 2</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Pablo Sánchez Romero</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Mejora de la comprensión de las consultas de búsqueda en lenguaje natural a través del análisis semántico con NLTK</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El objetivo del proyecto era permitir que los usuarios realizaran consultas de búsqueda en lenguaje natural y obtener resultados relevantes y precisos en lugar de tener que usar términos de búsqueda específicos.</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>desde 2013 hasta la actualidad.</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No ha sido revelado por google</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Google</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Estaba publicada por Google en varios artículos y presentaciones técnicas.</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto está en la línea de investigación de procesamiento de lenguaje natural y la herramienta NLTK fue utilizada para mejorar la comprensión de las consultas de búsqueda en lenguaje natural.</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://ai.googleblog.com/2015/06/how-google-translate-squeezes-deep.html </td>
				</tr>
			</table>
			<h4>2.4.3 Proyecto de I+D 3</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Juan Carlos Marcelo González</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Desarrollo de un modelo de lenguaje natural para asistentes virtuales con NLTK</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El objetivo era permitir que los asistentes virtuales comprendieran el lenguaje natural de los usuarios y proporcionasen respuestas precisas y útiles. Se utilizó para el procesamiento de lenguaje natural y la identificación de patrones en las consultas de los usuarios</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>Desde 2015 hasta la actualidad</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No ha sido desvelado</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>IBM</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>A través de consultas en internet</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto trata sobre el procesamiento de lenguaje natural y utiliza NLTK para desarrollar un modelo de lenguaje natural para asistentes virtuales.</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://community.ibm.com/community/user/ai-datascience/discussion/introducing-nltk#bm5b3b5b96-cdd8-4099-8386-d3a7999f8a09 </td>
				</tr>
			</table>
			<h4>2.4.4 Proyecto de I+D 4</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos Rodríguez</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Amazon Comprehend</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Es un servicio de procesamiento del lenguaje natural basado en la nube que utiliza una variedad de herramientas y técnicas, incluida la biblioteca NLTK, para extraer información útil de grandes cantidades de texto no estructurado</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>Desde 2017 hasta la actualidad </td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No definido</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Amazon Web Service</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>A través de una búsqueda en internet de AWS</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto trata sobre el procesamiento de lenguaje natural y nltk</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://aws.amazon.com/comprehend/ </td>
				</tr>
			</table>
			<h4>2.4.4 Proyecto de I+D 5</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos Rodríguez</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Procesamiento del Lenguaje Natural en Walmart</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Analizar los comentarios de los clientes y mejorar la experiencia de compra en línea. También incluyó la clasificación automática de comentarios de los clientes en diferentes categorías y la identificación de temas y tendencias en los comentarios.</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>No encontrada </td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No encontrado</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Walmart</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Walmart medium</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto utiliza técnicas de procesamiento del lenguaje natural, incluyendo la herramienta NLTK, para mejorar la comprensión de los comentarios de los clientes y la identificación de temas y tendencias en los comentarios</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://medium.com/walmartlabs/natural-language-processing-at-walmart-c6cb2a6e8814 </td>
				</tr>
			</table>
			<h4>2.4.5 Proyecto de I+D 6</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos Rodríguez</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Análisis de sentimientos de los usuarios de Twitter sobre la experiencia del cliente</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Análisis de sentimientos y la categorización de opiniones en los comentarios de los clientes para mejorar la experiencia del usuario en una plataforma de comercio electrónico. Utilizaron la herramienta NLTK, para identificar patrones y tendencias en los comentarios de los clientes.</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>De septiembre de 2018 a agosto de 2018</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>200.00 dólares</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Empresa de tecnología de comercio electrónico</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Búsqueda en línea</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto utiliza técnicas de procesamiento del lenguaje natural, incluyendo la herramienta NLTK, para mejorar la comprensión de los comentarios de los clientes y la identificación de temas y tendencias en los comentarios </td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://www.dataversity.net/case-study-data-driven-customer-experience-in-retail/ </td>
				</tr>
			</table>
		</section>


		<section id="3">
			<h2>3. Tecnología Spacy</h2>
			
			<h3 id=3.1>3.1 Cursos</h3>
			<h4>3.1.1 Curso 1</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>NLP avanzado con spaCy</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Curso realizado por una de las desarolladoras de spaCy en el que explica como  
                        usar spaCy para construir sistemas avanzados de comprensión de lenguaje natural</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        Capítulo 1: Encontrando palabras, frases, nombres y Conceptos
                        Capítulo 2: Análisis de datos a gran escala con spaCy 
                        Capítulo 3: Pipelines de procesamiento
                        Capítulo 4: Entrenando un modelo de red neuronal 
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>Indefinida</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>Gratuito</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>No solo enseña unos temas interesantes, como puede ser el entrenar un modelo de red neuronal,
                        sino que todo está muy bien explicado de tal manera que se hace muy fácil de comprender.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando cursos de spaCy es el primero que sale en google.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://course.spacy.io/es/">https://course.spacy.io/es/</a></td>
				</tr>
			</table>
			<h4>3.1.2 Curso 2</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Pablo Sánchez</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>Creando un modelo de lenguaje natural con Spacy</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Video guiado para la elaboración de un modelo NLP con spacy. </td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        Introducción a Spacy
                        Procesamiento del texto 
                        Reconocimiento de entidades
                        Coincidencia basada en reglas 
                        Similaridad
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>1h</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>Gratuito</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Al ser un video en pantalla dividida que va paso a paso, es como tener un 
                        profesor a tu lado que te vaya diciendo como hacerlo todo. Útil como curso para practicar.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en google.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.coursera.org/projects/lenguage-natural-spacy">https://www.coursera.org/projects/lenguage-natural-spacy</a></td>
				</tr>
			</table>
			<h4>3.1.3 Curso 3</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Juan Carlos Marcelo</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>Cursos de Natural Language Processing (NLP) with Python spaCy</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Es un curso muy centrado en el uso de spacy, enfocado en cierta medida a las empresas.
                        Cuenta con muchos ejemplos y ejercicios para aprender a trabajar con el herramienta.
                    </td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        Introduction
                            Defining "Industrial-Strength Natural Language Processing"
                        Installing spaCy
                        spaCy Components
                            Part-of-speech tagger
                            Named entity recognizer
                            Dependency parser
                        Overview of spaCy Features and Syntax
                        Understanding spaCy Modeling
                            Statistical modeling and prediction
                        Using the SpaCy Command Line Interface (CLI)
                            Basic commands
                        Creating a Simple Application to Predict Behavior 
                        Training a New Statistical Model
                            Data (for training)
                            Labels (tags, named entities, etc.)
                        Loading the Model
                            Shuffling and looping 
                        Saving the Model
                        Providing Feedback to the Model
                            Error gradient
                        Updating the Model
                            Updating the entity recognizer
                            Extracting tokens with rule-based matcher
                        Developing a Generalized Theory for Expected Outcomes
                        Case Study
                            Distinguishing Product Names from Company Names
                        Refining the Training Data
                            Selecting representative data
                            Setting the dropout rate
                        Other Training Styles
                            Passing raw texts
                            Passing dictionaries of annotations
                        Using spaCy to Pre-process Text for Deep Learning
                        Integrating spaCy with Legacy Applications
                        Testing and Debugging the spaCy Model
                            The importance of iteration
                        Deploying the Model to Production
                        Monitoring and Adjusting the Model
                        Troubleshooting
                        Summary and Conclusion
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>14h</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>Visita a oficinas: 4.513,09€
                        Privado en línea: 3.504,58€
                        Clases online: 1.252,47€ si van 4 personas.
                    </td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>
                        Es un curso extremadamente completo en spacy, con muchísimos ejercicios y prácticas,
                        además es poder contratarlos para venir a las oficinas o clases privadas puede resultar útil.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en google.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.nobleprog.mx/cc/spacy?participants=4&how=private">https://www.nobleprog.mx/cc/spacy?participants=4&how=private</a></td>
				</tr>
			</table>
			<h4>3.1.4 Curso 4</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos</td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>Introduction to Spacy for Natural Language Processing</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Curso para iniciarse en el NLP exclusivamente con Spacy</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        Introduction
                        Spacy 3 Introduction
                            Code Files
                            Spacy 3 introduction
                            Tokenization
                            Part of Speech (PoS) Tagging
                            Visualizing Dependency Parsing with Displacy
                            Sentence Boundary Detection
                            Stop Words
                            Lemmatization
                            Stemming in NLTK - Lemmatization vs Stemming in NLP 
                            Word frecuency Counter
                            Rule Based Matching in Spacy Part 1
                            Rule Based Token Matching Examples Part 2
                            Rule Based Phrase Matching in Spacy
                            Rule Based Entity Matching in Spacy
                            NER (Named Entity Recognition) in Spacy 3 Part 1
                            NER (Named Entity Recognition) in Spacy 3 Part 2
                            Word to Vector (word2vec) and Sentence Similarity in Spacy
                        Resume (CV) Parsing using Spacy 3
                            Resume (CV) Parsing Introduction
                            NER Training Introduction and Config Setup
                            NER Training Data Preparation
                            Training Configuration File Explanation
                            NER Training Data Preparation Part 1
                            NER Training Data Preparation Part 2
                            NER Training with Transformers
                            CV Parsing and NER Prediction
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>4h 4min</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>19.99€</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Es especialmente útil porque se centra en spacy y explica en detalle como
                        usarlo y como trabajar con él en varios ejemplos.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en udemy.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.udemy.com/course/introduction-to-for-natural-language-processing/"></a>https://www.udemy.com/course/introduction-to-for-natural-language-processing/</td>
				</tr>
			</table>
			<h4>3.1.5 Curso 5</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga </td>
				</tr>
				<tr>
					<th>TÍTULO DEL CURSO</th>
					<td>2023 Natural Language Processing in Python for Beginners</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Es un curso muy completo, con bastante contenido y que cubre muchos puntos del aprendizaje
                        del NLP. Habla de spacy, de NLTK, de deep learning, word2vec, analisis de cv, etc.
                    </td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>
                        Introduction
                        Python crash course
                        Numpy Introduction[optional]
                        Pandas introduction[optional]
                        Introduction of spacy 3 for NLP 
                        Working with text files 
                        Complete text cleaning and Preprocessing 
                        Text cleaning and Preprocessing in Python | software packing for PIP install 
                        Introduction to machine learning with Scikit-learn
                        Spam text classification
                    </td>
				</tr>
				<tr>
					<th>DURACIÓN</th>
					<td>29h 57min</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td>64.99€</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>La razón principal de incluir este curso es su extensión, abarca muchos temas y se puede aprender 
                        no solo de spacy, sino de otras herramientas, trucos, funcioanmientos generales, etc.
                    </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Buscando en Udemy.</td>
				</tr>
				<tr>
					<th>URL</th>
					<td><a href="https://www.udemy.com/course/nlp-in-python/">https://www.udemy.com/course/nlp-in-python/</a></td>
				</tr>
			</table>

			<h3 id=3.2>3.2 Documentos (Artículos, libros, foros, blogs)</h3>
			<h4>3.2.1 Documento 1</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Design and implementation of an open source Greek POS Tagger and Entity Recognizer using spaCy</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El articulo trata un enfoque de aprendizaje automático para el habla y el reconocimiento de entidades. Se centra en la extracción de características morfológicas y la clasificación de tokens. Además, se hace especial importancia en la adición en el código fuente la versión griega de la plataforma de SpaCy.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>1 INTRODUCTION
						2 SPACY’S DEEP LEARNING MODEL FOR POS TAGGING AND NAMED ENTITY RECOGNITION
						3 CREATING A GREEK POS TAGGER USING SPACY
							3.1 Dataset evaluation and selection
							3.2 Creation of the Tag Map with reference to Universal Dependencies
							3.3 POS Tagger training
							3.4 Evaluation and comparison of results
						4 CREATING A STATE OF THE ART NAMED ENTITY RECOGNIZER USING SPACY
							4.1 Dataset evaluation and selection
							4.2 Usage of Wikipedia dataset for training
							4.3 Evaluation and comparison of results
						5 CONCLUSIONS
						REFERENCES
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>El articulo es útil ya que viene muy completo de información y con todas las referencias y explicaciones necesarias, no obstante, el enfoque de aprendizaje sobre la tecnología de SpaCy es interesante para todos los usuarios interesados en el tema </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>a través de Google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>Design and implementation of an open source Greek POS Tagger and Entity Recognizer using spaCy (acm.org)</td>
				</tr>
			</table>
			<h4>3.2.2 Documento 2</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Pablo Sánchez Romero</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Enhancing the spaCy named entity recognizer for crowdsensing</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El articulo abarca el tema sobre el NER de SpaCy, además, explica como la detección social aprovecha los datos recogidos a través de los usuarios de las redes sociales y los consideran sensores sociales; pueden explicar como ocurrieron algunos eventos significativos, e intentar resolver todas las dudas posibles que se puedan plantear</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>1.Introduction
						2.Method
							2.1spaCy Named Entity Recognizer
							2.2 Dataset generation for training
							2.3 Training procedure
						3.Evaluation
						4.Conclusions and future work
						5.Acknowledgments
						6.References
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Es bastante útil porque la capacidad de poder las cuestiones importantes sobre eventos ocurridos es de gran interés, nos permite tener una mayor información a la hora de seleccionar fuentes.</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>a traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>https://books.google.es/books?hl=es&lr=&id=GJPDwAAQBAJ&oi=fnd&pg=PA361&dq=spacy+&ots=VfgtsYAXA6&sig=r1s2KX4xlfmj-qaD0BP5pAN65xM#v=onepage&q=spacy&f=false</td>
				</tr>
			</table>
			<h4>3.2.3 Documento 3</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Juan Carlos Marcelo González</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Extractive Automatic Text Summarization using SpaCy in Python & NLP</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El articulo quiere dar importancia a las innovaciones tecnológicas y la propulsión que tienen recientemente en continuo cambio, lo que genera que los datos que se obtienen son cruciales con un papel muy importante. Surge la necesidad de generar una maquina capaz de reducir la longitud de los textos automáticamente.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>I.INTRODUCTION
						II. Fundamentals
						III. Text Summarization Methods
						IV. Natural Language Processing
						V. Text-Processing
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>La herramienta de poder reducer los textos es muy eficaz y a la vez muy interesante ya que esa capacidad puede ayudar a reducir en gran cantidad el trabajo y el tiempo y aumenta la cantidad de información importante.</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>a traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>Extractive Automatic Text Summarization using SpaCy in Python & NLP | IEEE Conference Publication | IEEE Xplore</td>
				</tr>
			</table>
			<h4>3.2.4 Documento 4</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Alejandro Villapalos Rodriguez</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Improving spaCy dependency annotation and PoS tagging web service using independent NER services </td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>El objetivo del artículo es mejorar las capacidades de anotaciones de dependencias de spaCy, ya que el análisis sintáctico de dependencias se utiliza a menudo como componente de muchas cadenas de análisis de texto., pero el dominio sufre de la presencia de terminología compleja. La solución que aportan es incluir anotaciones nombradas pueden mejorar la velocidad y calidad de análisis de dependencias.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>Introtuction
						Related work
						Methods
						Input format
						Output format
						Usage
						Adaptation 
						Results
						Speed
						accuracy
						discussion 
						conclusion 
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Es útil la herramienta que se plantea ya que se busca mejorar la capacidad de anotación de dependencias y así conseguir un objeto de implementación más útil</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>a traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>Improving spaCy dependency annotation and PoS tagging web service using independent NER services - PMC (nih.gov)</td>
				</tr>
			</table>
			<h4>3.2.5 Documento 5</h4>
			<table>
				<tr>
					<th>ANALISTA</td>
					<td>Pablo Sánchez Romero</td>
				</tr>
				<tr>
					<th>TÍTULO</th>
					<td>Information Extraction Tasks based on BERT and SpaCy on Tourism Domain</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>En el artículo, se presenta dos metodologías para la extracción de información de textos completos. Los enfoques se basan en reconocimiento de entidades de nombre (NER), clasificación de texto y resumen de texto. En el proceso se basa en la creación de datos de entrenamiento y la limpieza de datos. Después de varios pasos se demuestra que se puede construir el modelo para extraer la entidad deseada. Se utilizan las herramientas de spaCy y BERT.</td>
				</tr>
				<tr>
					<th>ÍNDICE DE CONTENIDOS</th>
					<td>Introduction 
						Backgrounds
							Tourism ontology
							Machine leraning in NLP
							SpaCy
							Deep learning and BERT
						Methodology
							Data gathering
							Vocabulary building
							Handling multiword vocabularies
							Training data annotation 
						Experimental results
							NER
							Text classification 
						Conclusion and future work
						</td>
				</tr>
				<tr>
					<th>POR QUÉ ES ÚTIL</th>
					<td>Es util ya que es un articulo muy completo que abarca varios temas interesantes, propone tres metodologías para la extracción de información en textos completos.</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>a traves de google schoolar</td>
				</tr>
				<tr>
					<th>URL</th>
					<td>View of Information Extraction Tasks based on BERT and SpaCy on Tourism Domain (tci-thaijo.org)</td>
				</tr>
			</table>

			<h3 id=3.3>3.3 Software (herramientas, editores, etc. para desarrollar con la tecnología)</h3>
			<h4>3.3.1 Software 1</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> AllenNLP</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> Framework de código abierto utilizado para la investigación en procesamiento de lenguaje natural (NLP) mediante el uso de técnicas de aprendizaje profundo. Este framework se puede combinar con la herramienta SpaCy para crear y entrenar modelos de lenguaje natural.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratuito y código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> Licencia Apache 2.0</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://allenai.org/allennlp</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://guide.allennlp.org/</td>
				</tr>
			</table>
			<h4>3.3.2 Software 2</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td> Pablo Sánchez</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> PyTorch</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> Biblioteca de aprendizaje profundo de código abierto que se enfoca en el procesamiento de lenguaje natural. Esta biblioteca se puede integrar con SpaCy para crear modelos de lenguaje natural basados en aprendizaje profundo.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratuito</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> BSD</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://pytorch.org/</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://pytorch.org/tutorials/beginner/deep_learning_nlp_tutorial.html</td>
				</tr>
			</table>
			<h4>3.3.3 Software 3</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td> Juan Carlos Marcelo</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> Textacy</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> Se trata de una biblioteca de procesamiento de lenguaje natural en Python que utiliza spaCy como base para ofrecer diversas herramientas, como la limpieza de texto, la extracción de términos clave, la detección de frases y la construcción de corpus.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratis de código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> Licencia de código abierto</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Lo vimos en la documentación de spacy recomendado</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://github.com/chartbeat-labs/textacy</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://textacy.readthedocs.io/en/stable/index.html</td>
				</tr>
			</table>
			<h4>3.3.4 Software 4</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td> Alejandro Villapalos</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> Flair</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> Se trata de una biblioteca de procesamiento de lenguaje natural de código abierto que utiliza PyTorch como base para el desarrollo de modelos de lenguaje natural. Además, se puede combinar con spaCy para llevar a cabo diversas tareas de PLN, tales como análisis de sentimientos, detección de entidades y clasificación de texto.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratis de código abierto</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> Licencia de código abierto</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Haciendo una búsqueda de herramientas de desarrollo de IA en un buscador</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://github.com/flairNLP/flair</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://flairnlp.github.io/docs/intro</td>
				</tr>
			</table>
			<h4>3.3.5 Software 5</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td> Juan Carlos Marcelo</td>
				</tr>
				<tr>
					<th>NOMBRE</th>
					<td> PyText</td>
				</tr>
				<tr>
					<th>PARA QUÉ SIRVE</th>
					<td> Se trata de una biblioteca de procesamiento de lenguaje natural de código abierto desarrollada por Facebook, la cual se enfoca en el desarrollo de modelos de lenguaje natural basados en aprendizaje profundo. Además, se puede integrar con spaCy para llevar a cabo diversas tareas de PLN, como análisis de sentimientos, extracción de información y clasificación de texto.</td>
				</tr>
				<tr>
					<th>PRECIO</th>
					<td> Gratis y de código libre</td>
				</tr>
				<tr>
					<th>LICENCIA DE USO</th>
					<td> Licencia de código abierto</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td> Buscando herramientas similares a las anteriores y en sus comunidades de desarrolladores</td>
				</tr>
				<tr>
					<th>URL SOFTWARE</th>
					<td> https://github.com/facebookresearch/pytext</td>
				</tr>
				<tr>
					<th>URL GUÍA DE USO</th>
					<td> https://pytext.readthedocs.io/en/master/</td>
				</tr>
			</table>
			<h3 id=3.4>3.4 Proyectos de I+D (proyectos relacionados con la línea de investigación y la tecnología)</h3>
			<h4>3.4.1 Proyecto de I+D 1</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alberto Varga</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Universal Sentence Encoder</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Desarrollar un modelo de codificación de oraciones universal para el procesamiento del lenguaje natural.</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>Desde 2018 hasta el presente</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No encontrado</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Google</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Búsqueda en línea de proyectos con spaCY</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto está en la línea de investigación de procesamiento de lenguaje natural y la herramienta spaCY</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td><a href="https://ai.googleblog.com/2018/05/advances-in-semantic-textual-similarity.html">https://ai.googleblog.com/2018/05/advances-in-semantic-textual-similarity.html</a></td>
				</tr>
			</table>
			<h4>3.4.2 Proyecto de I+D 2</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Pablo Sánchez Romero</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Language Identification and Text Translation in the Rosetta Project</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Utiliza spaCY para identificar el idioma y traducir texto en facebook</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>Desde el 2014 al presente</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No disponible</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Facebook </td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Búsqueda en línea</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto está en la línea de investigación de procesamiento de lenguaje natural y la herramienta spaCY para la traducción de idiomas.</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://engineering.fb.com/ai-research/rosetta-understanding-text-in-images-and-videos-with-machine-learning/ </td>
				</tr>
			</table>
			<h4>3.4.3 Proyecto de I+D 3</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Juan Carlos Marcelo González</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Deep Active Learning with Spacy for Named Entity Recognition</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Utiliza una combinación de aprendizaje activo y el deep learning para mejorar la tarea de reconocimiento de entidades nombradas (NER).</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>2019-2020</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No encontrado</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>UnifyID</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Búsqueda en línea</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto está en la línea de investigación de procesamiento de lenguaje natural y la herramienta spaCY para mejorar la precisión del reconocimiento de entidades nombradas.</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://unify.id/blog/2019/11/22/deep-active-learning-with-spacy-for-named-entity-recognition/</td>
				</tr>
			</table>
			<h4>3.4.4 Proyecto de I+D 4</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos Rodríguez</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Extraction of Drug-Drug Interactions using Semantic Parsing</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Trata de la extracción de interacciones entre medicamentos a partir de documentos de historia clínica electrónica</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>2016-2017</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No disponible</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Pfizer Inc</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Base de datos pubmed.gov</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>Trata del procesamiento del lenguaje natural y utiliza la herramienta spaCy para extraer información relevante de los documentos de la historia clínica electrónica y mejorar la detección de interacciones entre medicamentos.</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5839432/</td>
				</tr>
			</table>
			<h4>3.4.5 Proyecto de I+D 5</h4>
			<table>
				<tr>
					<th>ANALISTA</th>
					<td>Alejandro Villapalos Rodríguez</td>
				</tr>
				<tr>
					<th>TITULO</th>
					<td>Spacy-Entity-Recognition</td>
				</tr>
				<tr>
					<th>RESUMEN</th>
					<td>Se mejoró la capacidad de analizar descripciones de alojamientos y detectar características específicas de los mismos, como la ubicación, el tipo de alojamiento y las comodidades que ofrece. Se utilizó la función de reconocimiento de entidades de spaCy para identificar y etiquetar las partes relevantes del texto.</td>
				</tr>
				<tr>
					<th>FECHAS</th>
					<td>No encontrado</td>
				</tr>
				<tr>
					<th>PRESUPUESTO</th>
					<td>No disponible</td>
				<tr>
					<th>ENTIDADES PARTICIPANTES</th>
					<td>Airbnb</td>
				</tr>
				<tr>
					<th>CÓMO SE HA ENCONTRADO</th>
					<td>Busqueda en línea</td>
				</tr>
				<tr>
					<th>RELACION CON LA TECNOLOGÍA Y LA LINEA DE INVESTIGACIÓN</th>
					<td>El proyecto está en la línea de investigación de procesamiento de lenguaje natural y la herramienta spaCY</td>
				</tr>
				<tr>
					<th>URL PROYECTO</th>
					<td>https://medium.com/airbnb-engineering/using-machine-learning-to-predict-value-of-homes-on-airbnb-9272d3d4739d </td>
				</tr>
			</table>
		</section>			

			<section id="4">
				<h2>4. Conclusiones</h2>
				<p>Las únicas dificultades que hemos tenido, dejando de lado las pequeñas que hayamos podido tener con GitLab, las cuales solo fueron al principio, tan solo han sido 
					con el encontrar elementos para cada apartado, por ejemplo, a la hora de encontrar proyectos de i+d en los que se hayan usado las herramientas nos ha costado encontrar
					proyectos que nos muestren toda la información y que sean interesantes, siempre o les faltaba el presupuesto, o las fechas, etc. Por lo demás el trabajo nos ha resultado 
					satisfactorio ya que nos ha permitido avanzar un paso mas frente a los individuales.
				</p>
			</section>
			<section id="5">
				<h2>5. Apéndices</h2>
				<p>Información con elementos complementarios</p>
			</section>
	</main>
</body>

</html>
